local scene = {}
local love = assert( love )
local mt = {}

function mt.load( name )
  print( "Loading Scene:", name )
  local scene = assert( scene[name] )
  for k, v in pairs( scene ) do
    love[k] = v
  end
  scene.onLoad()
end

function mt.add( t, name )
  print( "Adding Scene:", t.name or name )
  scene[name] = t
  return t
end

return setmetatable( scene, {__index = mt } )